from setuptools import find_packages, setup

setup(
  name="gsitegen",
  author="Govindas",
  author_email="govindas@govindas.invalid",
  description="File and message encryption GUI and CLI",
  long_description=open("README.md").read(),
  long_description_content_type="text/markdown",
  url="https://git.limework.net/Govindas/SiteGenerator",
  use_scm_version=True,
  setup_requires=["setuptools_scm"],
  packages=find_packages(),
  python_requires=">=3.8",
  classifiers=[
    "Programming Language :: Python :: 3",
    "License :: Public Domain",
    "Operating System :: OS Independent",
  ],
  install_requires=[
    "html5tagger>=1.1.0",
    "markdown>=3.3.6",
  ],
  extras_require={
    "test": ["pytest", "pytest-sugar", "pytest-mock", "coverage", "mypy", "bandit", "types-Markdown"],
    "dev": ["tox", "isort", "yapf"],
  },
  include_package_data=True,
  entry_points=dict(
    console_scripts=["gsitegen = gsitegen.generate:main"],
  ),
)
